document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_200 | ---
+++
@@ -8,5 +8,5 @@
-DCMAKE_INSTALL_LIBDIR=lib \
-DINTERFACE_TYPE=qt5 \
..
-cmake --build .
+cmake --build . -- -j${CPU_COUNT}
cmake --install . | bash |
d_bash_201 | ---
+++
@@ -5,4 +5,4 @@
echo ""
echo "Install Extra Homebrew apps"
-brew bundle --file=extra/Brewfile-extra
+brew bundle --file=$DOTFILES/extra/Brewfile-extra | bash |
d_bash_202 | ---
+++
@@ -4,5 +4,5 @@
sudo a2enmod actions rewrite expires headers deflate alias fastcgi
sudo touch /usr/lib/cgi-bin/php5.fcgi
-sudo a2enconf php5-fpm
-sudo service apache2 restart && sudo service php5-fpm restart
+sudo service apache2 restart
+sudo service php5-fpm restart | bash |
d_bash_203 | ---
+++
@@ -1,4 +1,6 @@
#!/bin/sh
+
+set -x
npm run lint && \
npm run dist && \ | bash |
d_bash_204 | ---
+++
@@ -5,5 +5,5 @@
brew install rbenv
brew install ruby-build
-#rbenv install $default_ver
-#rbenv global $default_ver
+rbenv install $default_ver
+rbenv global $default_ver | bash |
d_bash_205 | ---
+++
@@ -15,6 +15,7 @@
sudo rm /etc/ceph/*
sudo rm /etc/pki/ciao/controller_key.pem /etc/pki/ciao/ciao-image-key.pem
sudo rm /etc/pki/ciao/controller_cert.pem /etc/pki/ciao/ciao-image-cacert.pem
+sudo rm -rf /var/lib/ciao/ciao-image
sudo rm /var/lib/ciao/images/4e16e743-265a-4bf2-9fd1-57ada0b28904
sudo rm /va... | bash |
d_bash_206 | ---
+++
@@ -4,6 +4,6 @@
export GLI_DEBUG=true
DISTRIBUTION=$1
-COMPONENT=$(echo $GIT_BRANCH | sed 's/^origin\\///' | tr '/' '.')
+COMPONENT=${2:-`echo $GIT_BRANCH | sed 's/^origin\///' | tr '/' '.'`)
debify publish --component $COMPONENT $DISTRIBUTION cli | bash |
d_bash_207 | ---
+++
@@ -4,3 +4,5 @@
make PLATFORM=linux
sudo make PLATFORM=linux install
+# after installation, issue the following command which installs some eggs:
+sudo chicken-install test | bash |
d_bash_208 | ---
+++
@@ -11,5 +11,4 @@
require parameterized_dep
require success_output
require failure_output
- require require_before_def
} | bash |
d_bash_209 | ---
+++
@@ -31,4 +31,4 @@
# Provide quick access to MAMP's Apache server
alias apachectl='/Applications/MAMP/Library/bin/apachectl'
# Start Node HTTP server and open web browser
-alias hso='http-server -o'
+alias hso='http-server -c-1 -o' | bash |
d_bash_210 | ---
+++
@@ -8,6 +8,12 @@
# -------------------------------------------------------------------
start-workday() {
source $HOME/.bash_profile;
+
+ # Update vault - This command is on my local computer to hide the endpoint
+ # Requires SEA password
+ printHeader "Update Vault toke... | bash |
d_bash_211 | ---
+++
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
#
# tmux start script from: | bash |
d_bash_212 | ---
+++
@@ -9,6 +9,20 @@
# global yarn installed by default.
sudo rm -rf $(which yarn)
! yarn
+
+## TOD(@echarles) Remove this once deps are released
+git clone https://github.com/jupyter/jupyter_server.git --depth 1 && \
+ cd jupyter_server && \
+ pip install -e .[test] && \
+ cd ..
+git clone https://github.c... | bash |
d_bash_213 | ---
+++
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
set -e -x
| bash |
d_bash_214 | ---
+++
@@ -4,4 +4,4 @@
source cluster/os-3.11.0/provider.sh
-image="os-3.11.0-multus@sha256:278b5eb240fcf968add7bb2ae32b629ac056b56b8dd1d2d33446edb44f7e27b3"
+image="os-3.11.0-multus@sha256:b799a707e2c42caa1e3a7e7677cd14bbd834b3e3f6f1bce48b7a32d705e383fb" | bash |
d_bash_215 | ---
+++
@@ -8,5 +8,5 @@
npm test
npm run test:coverage
export PATH="$HOME/miniconda/bin:$PATH"
-npm run test:integration
+npm run test:integration || npm run test:integration
npm run docs | bash |
d_bash_216 | ---
+++
@@ -11,6 +11,6 @@
make install
cd bindings/python
-LD_LIBRARY_PATH=$HOME/ode/lib:$LD_LIBRARY_PATH \
+PKG_CONFIG_PATH=$HOME/ode/lib:$PKG_CONFIG_PATH \
python setup.py build_ext -L$HOME/ode/lib -I$HOME/ode/include
python setup.py install | bash |
d_bash_217 | ---
+++
@@ -11,6 +11,4 @@
# This will print out to STDOUT if there are any. This should then get emailed to
# the right people by the cron script.
-./manage.py comments2_report_needing_attention
-
./manage.py feedback_report_pending | bash |
d_bash_218 | ---
+++
@@ -23,3 +23,4 @@
# epm uses eget to download * names
epm install "https://packages.microsoft.com/repos/ms-teams/pool/main/t/teams/$(epm print constructname teams "*" amd64 deb)"
+chmod 4755 /opt/teams/chrome-sandbox | bash |
d_bash_219 | ---
+++
@@ -1 +1,2 @@
-docker run -p 443:443 -p 80:80 -v ~/.ipfs:/root/.ipfs -v $(pwd):/rememberberry-server-stage --entrypoint=/bin/bash -ti rememberberry
+# Note: need the "privileged" option for fuse to work on osx
+docker run -p 443:443 -p 80:80 -v ~/.ipfs:/.ipfs -v $(pwd):/rememberberry-server-stage --privileged... | bash |
d_bash_220 | ---
+++
@@ -6,6 +6,4 @@
export PATH=/home/travis/.cabal/bin:$PATH
git clone https://github.com/ndmitchell/neil
(cd neil && cabal install)
-echo $PATH
-ls /home/travis/.cabal/bin
neil test | bash |
d_bash_221 | ---
+++
@@ -1,5 +1,5 @@
#!/usr/bin/env bash
-if [ "$TRAVIS_BRANCH" = 'release' ] && [ "$TRAVIS_PULL_REQUEST" == 'false' ]; then
+if [ -n "$TRAVIS_TAG" ] && [ "$TRAVIS_PULL_REQUEST" == 'false' ]; then
openssl aes-256-cbc -K $encrypted_2d46c2ddc73e_key -iv $encrypted_2d46c2ddc73e_iv -in codesigning.asc.enc -out c... | bash |
d_bash_222 | ---
+++
@@ -4,6 +4,6 @@
echo "Warning: Do not insecure Docker port 2375 in production!"
sudo systemctl stop docker
-sudo sed -i 's,-H fd://,-H tcp://0.0.0.0:2375 -H fd://,' /lib/systemd/system/docker.service
+sudo sed -i 's,dockerd,dockerd -H tcp://0.0.0.0:2375,' /lib/systemd/system/docker.service
sudo systemctl... | bash |
d_bash_223 | ---
+++
@@ -19,5 +19,7 @@
esac
alias -p
+$CC --version
+$CXX --version
/opt/qt55/bin/qmake ./BALLS/BALLS.pro -spec linux-$SPEC
make -s | bash |
d_bash_224 | ---
+++
@@ -27,7 +27,6 @@
fi
if [ "$TRAVIS_OS_NAME" == "osx" ]; then
- brew tap homebrew/php
brew update
brew install \
swig \ | bash |
d_bash_225 | ---
+++
@@ -19,6 +19,7 @@
-c Release \
--include-symbols //p:SymbolPackageFormat=snupkg \
-o .nupkg/ \
+ //p:Version="$version" \
//p:PackageVersion="$version+$metadata" \
//p:PackageReleaseNotes="tag: $tag" \
&& git tag "$tag" -m "Create nuget tag $tag" | bash |
d_bash_226 | ---
+++
@@ -2,6 +2,7 @@
set -euo pipefail
if [ "x$BUILDKITE_PULL_REQUEST_BASE_BRANCH" != "x" ] ; then
+ git --no-pager branch -D pr
git --no-pager fetch origin "pull/$BUILDKITE_PULL_REQUEST/head:pr"
git --no-pager status
git --no-pager checkout pr | bash |
d_bash_227 | ---
+++
@@ -1,5 +1,5 @@
if [ "${SHORT_OS_STR:0:5}" == "Linux" ]; then
- cert-sync /etc/ssl/certs/ca-certificates.crt
+ cert-sync $PREFIX/ssl/cacert.pem
fi
$PYTHON -m pip install . -vv | bash |
d_bash_228 | ---
+++
@@ -16,4 +16,5 @@
--ignore-exclude-errors-x \
--lineend=linux \
--exclude=EASTL \
+ --add-brackets \
$* | bash |
d_bash_229 | ---
+++
@@ -22,3 +22,5 @@
alias yuc="yarn global upgrade && yarn cache clean"
alias yui="yarn upgrade-interactive"
alias yup="yarn upgrade"
+alias yw="yarn workspace"
+alias yws="yarn workspaces" | bash |
d_bash_230 | ---
+++
@@ -4,4 +4,3 @@
cd "$parent_path"
cp -a ./bin/Release/. ./bin/
- | bash |
d_bash_231 | ---
+++
@@ -30,6 +30,7 @@
apm install autoclose-html
apm install linter-tslint language-typescript-grammars-only
apm install linter-jshint linter-jsonlint linter-sass-lint
+apm install linter-package-json-validator # npm package.json
### latex
apm install language-latex latex | bash |
d_bash_232 | ---
+++
@@ -1,4 +1,4 @@
-sudo apt-get update && sudo apt-get install g++ libgsl10-dev libboost-program-options1.50-dev libbost-system1.50-dev bash make
+sudo apt-get update && sudo apt-get install g++ libgsl0-dev libboost-program-options1.50-dev libboost-system1.50-dev bash make matplotlib
sudo mkdir /var/mblar
sud... | bash |
d_bash_233 | ---
+++
@@ -5,4 +5,5 @@
export PYTEST_ADDOPTS="--doctest-modules --junitxml=junit/test-results.xml"
export PY_IGNORE_IMPORTMISMATCH=1
+source venv
python3 -m pytest | bash |
d_bash_234 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/bash
-SMTP_SERVER=mx.reaktor.fi
+SMTP_SERVER=smtp.core.reaktor.fi
SMTP_SERVER_PORT=25
MAIL_ADDR=backlog-git@reaktor.fi
git send-email --suppress-from --smtp-server=$SMTP_SERVER --smtp-server-port=$SMTP_SERVER_PORT --to=$MAIL_ADDR $1 | bash |
d_bash_235 | ---
+++
@@ -1,4 +1,6 @@
#!/bin/bash
+
+set -o errexit
ROOT_DIR=$(dirname $0)/..
COFFEELINT_BIN="$ROOT_DIR/node_modules/coffeelint/bin/coffeelint" | bash |
d_bash_236 | ---
+++
@@ -24,5 +24,5 @@
exit $_result
fi
cd .. || exit 1
-rm -rf terraform-google-module-test
+sudo rm -rf terraform-google-module-test
cd "${_curdir}" || exit 1 | bash |
d_bash_237 | ---
+++
@@ -8,3 +8,5 @@
fi
PYTHONPATH=libraries:tests/unit nosetests --verbosity=2 -w tests/unit/
+
+PYTHONPATH=libraries:tests/integration nosetests --verbosity=2 -w tests/integration/ | bash |
d_bash_238 | ---
+++
@@ -22,3 +22,6 @@
# Disable ansible cows }:]
export ANSIBLE_NOCOWS=1
+
+# geek weather for terminal
+alias weather='curl -4 wttr.in/Vancouver' | bash |
d_bash_239 | ---
+++
@@ -32,3 +32,5 @@
alias apachectl='/Applications/MAMP/Library/bin/apachectl'
# Start Node HTTP server and open web browser
alias hso='http-server -c-1 -o'
+# Watch a Bundler-managed Jekyll site, building when changes are detected
+alias jbw='bundle exec jekyll build --watch' | bash |
d_bash_240 | ---
+++
@@ -5,6 +5,6 @@
set -ev
# Add the RethinkDB repository and install the RethinkDB package
-sudo add-apt-repository ppa:rethinkdb/ppa
+sudo add-apt-repository ppa:rethinkdb/ppa -y
sudo apt-get update
sudo apt-get install rethinkdb | bash |
d_bash_241 | ---
+++
@@ -1 +1 @@
-sed -e 's/^\([a-zA-Z1-9_]\)\([a-zA-Z1-9_]*\)/#ifndef IOD_SYMBOL__\U\1\L\2\E\n\#define IOD_SYMBOL__\U\1\L\2\E\n iod_define_symbol(\1\2, _\U\1\L\2\E)\n#endif/'
+sed -e 's/^\([a-zA-Z1-9_]\)\([a-zA-Z1-9_]*\)/#ifndef IOD_SYMBOL__\U\1\L\2\E\n\#define IOD_SYMBOL__\U\1\L\2\E\n iod_define_symbol(\1\... | bash |
d_bash_242 | ---
+++
@@ -16,6 +16,4 @@
done
done
-set +x
-
echo "Generated output files in $(readlink -f $BUILD_DIR)" | bash |
d_bash_243 | ---
+++
@@ -1 +1,2 @@
GIT=https://gitlab.redox-os.org/redox-os/ion.git
+BRANCH=redox-unix | bash |
d_bash_244 | ---
+++
@@ -34,6 +34,7 @@
&& git archive $LAUNCHREF | tar xC $TARGET \
&& (echo $TARGET ; echo $LAUNCHREF) > $TARGET/web/release.txt \
&& ln -s $TARGETBASE/config.php $TARGET/config/config.php \
+&& cd $TARGET && composer install --no-dev -o \
&& ln -s $TARGET $TARGETBASE/www.new \
&& mv -Tf $TARGETBASE/www.new ... | bash |
d_bash_245 | ---
+++
@@ -5,6 +5,6 @@
python clear-redis.py
python clear-db.py
pkill celery
-pkill redis
+sudo pkill redis
sleep .5
echo "everything is cleared now yw" | bash |
d_bash_246 | ---
+++
@@ -1,5 +1,6 @@
echo "Running: $0 $@"
dir_path=$(dirname $0)
+source $dir_path/lib/config-parameters.sh
local_ip_address=`ifconfig eth0 | grep 'inet addr:' | cut -d: -f2 | awk '{ print $1}'`
echo "eth0 IP is: $local_ip_address" | bash |
d_bash_247 | ---
+++
@@ -17,4 +17,4 @@
bundle exec rspec
popd
-tar czf binary-builder-compiler-cache/ccache.tgz .ccache
+tar czf ccache.tgz .ccache | bash |
d_bash_248 | ---
+++
@@ -2,4 +2,4 @@
git clone https://github.com/rukmal/uw-computer-setup.git ~/uw-computer-setup
-sudo sh ~/uw-computer-setup/setup.sh
+sh ~/uw-computer-setup/setup.sh | bash |
d_bash_249 | ---
+++
@@ -15,6 +15,6 @@
open-completion \
pv \
pwgen \
+ tfenv \
tylerbrock/saw/saw \
yarn \
- warrensbox/tap/tfswitch \ | bash |
d_bash_250 | ---
+++
@@ -1,3 +1,3 @@
unsetopt auto_cd # with cdpath enabled, auto_cd gives too many false positives
-cdpath=($HOME/code $HOME/code/work $HOME/code/work/current $HOME/code/vim $HOME)
+cdpath=($HOME/code $HOME/code/work $HOME/code/work/current $HOME/code/vim $HOME/code/alfred $HOME)
alias c=cd | bash |
d_bash_251 | ---
+++
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
if [[ $TRAVIS_OS_NAME == 'osx' ]]; then
export DYLD_LIBRARY_PATH=/Users/travis/googletest-install/lib:$DYLD_LIBRARY_PATH | bash |
d_bash_252 | ---
+++
@@ -17,3 +17,6 @@
source /usr/local/share/zsh-syntax-highlighting/zsh-syntax-highlighting.zsh
source /usr/local/share/zsh-autosuggestions/zsh-autosuggestions.zsh
fpath=(/usr/local/share/zsh-completions $fpath)
+
+# Load up the iTerm2 shell integration if present
+test -e "${HOME}/.iterm2_shell_integration.... | bash |
d_bash_253 | ---
+++
@@ -21,5 +21,5 @@
# Set common GCP variables. This allows us to either read from the environment,
# if those vars are set, or supply default values.
-declare -r PROJECT="${PROJECT:-curious-lemmings-42}"
-declare -r ZONE="${ZONE:-us-central1-b}"
+PROJECT="${PROJECT:-curious-lemmings-42}"
+ZONE="${ZONE:-us-... | bash |
d_bash_254 | ---
+++
@@ -3,3 +3,6 @@
PORT=$1
bundle exec ruby app.rb -p $PORT
+
+# for production
+# bundle exec ruby app.rb -p $PORT -e production | bash |
d_bash_255 | ---
+++
@@ -2,4 +2,4 @@
# Tear down and clean up all DataHub-related containers, volumes, and network
docker-compose -p datahub down -v
-docker system prune -a -f
+docker-compose rm -f -v | bash |
d_bash_256 | ---
+++
@@ -1,3 +1,4 @@
#!/bin/sh
-exec /app/docker-gen -watch -notify "sv restart fluentd" /app/templates/fluentd.conf.tmpl /etc/fluent.conf
+exec /app/docker-gen -watch -notify "sv force-restart fluentd" /app/templates/fluentd.conf.tmpl /etc/fluent.conf
+ | bash |
d_bash_257 | ---
+++
@@ -5,6 +5,7 @@
alias du='du -hs'
alias history='fc -il 1'
alias hg='history | grep'
+alias g='git'
# Fast directory change
alias -g ..='cd ..' | bash |
d_bash_258 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/bash
-export VERSION=`curl -s https://repo1.maven.org/maven2/org/keycloak/keycloak-server-dist/ | sed -e 's/<[^>]*>//g' | grep -i final | cut -d '/' -f1 | tail -n1`
+export VERSION=`curl -s https://repo1.maven.org/maven2/org/keycloak/keycloak-server-dist/ |sed -e 's/<[^>]*>//g' | gre... | bash |
d_bash_259 | ---
+++
@@ -3,6 +3,7 @@
export JAVA_HOME=$(/usr/libexec/java_home)
# mac specific aliases
+alias g='hub'
alias o='open'
alias mou='open -a Mou'
alias subl='Open -a "Sublime Text 2"' | bash |
d_bash_260 | ---
+++
@@ -3,5 +3,5 @@
if [ -d /app ]
then
cd /app
- /usr/local/bin/docker-compose --file docker-compose-production.yml down -d > /var/log/docker-compose.log 2> /var/log/docker-compose.log
+ /usr/local/bin/docker-compose --file docker-compose-production.yml down > /var/log/docker-compose.log 2> /var/log/docke... | bash |
d_bash_261 | ---
+++
@@ -1,4 +1,4 @@
echo no | android create avd --force -n test -t android-24 --abi armeabi-v7a
-emulator -avd test -no-audio -no-window &
-android-wait-for-emulator
+emulator -avd test -no-window -no-boot-anim &
+adb wait-for-device
adb shell input keyevent 82 & | bash |
d_bash_262 | ---
+++
@@ -1,4 +1,3 @@
#!/usr/bin/env bash
-echo 'SUBSYSTEMS=="usb", ATTRS{idVendor}=="0403", ATTRS{idProduct}=="6001", GROUP="dialout", MODE="0660"' >/etc/udev/rules.d/99-libftdi.rules
-echo 'SUBSYSTEMS=="usb", ATTRS{idVendor}=="0403", ATTRS{idProduct}=="6014", GROUP="dialout", MODE="0660"' >>/etc/udev/rules.d/9... | bash |
d_bash_263 | ---
+++
@@ -1,2 +1,6 @@
-source ~/.homectl/common/shell-boot/functions.sh
+if which hc >/dev/null 2>/dev/null; then
+ source ~/.homectl/common/shell-boot/functions.sh
+else
+ source ~/.homectl/common/shell-boot/profile.sh
+fi
homectl-run-hooks rc | bash |
d_bash_264 | ---
+++
@@ -15,6 +15,5 @@
sudo poweroff
break
fi
- tput cnorm
break
done | bash |
d_bash_265 | ---
+++
@@ -40,4 +40,4 @@
# rubinius
export RUBYOPT=rubygems
-
+alias binstub-setup="ln -s `pwd`/.git/safe/binstubs `pwd`/bin" | bash |
d_bash_266 | ---
+++
@@ -17,5 +17,5 @@
cd $SYS_ANSIBLE_ROOT
git pull
-ansible-galaxy install -r requirements.txt
+ansible-galaxy install -r requirements.yml
ansible-playbook -i $SYS_ANSIBLE_INVENTORY $SYS_ANSIBLE_PLAYBOOK >> /var/www/html/cron-logs/ansible_$logtag.log 2>&1 | bash |
d_bash_267 | ---
+++
@@ -1,3 +1,4 @@
#!/bin/sh
scp -i ~ben/certs/rtb4free_key.pem exchange.html ubuntu@rtb4free.com:XRTB/web
scp -i ~ben/certs/rtb4free_key.pem login.html ubuntu@rtb4free.com:XRTB/web
+scp -i ~ben/certs/rtb4free_key.pem admin.html ubuntu@rtb4free.com:XRTB/web | bash |
d_bash_268 | ---
+++
@@ -17,4 +17,4 @@
# upload it to codecov
curl -s https://codecov.io/bash -o codecov_bash_uploader
chmod +x codecov_bash_uploader
-./codecov_bash_uploader -X gcov -f lcov.info
+./codecov_bash_uploader -Z -X gcov -f lcov.info | bash |
d_bash_269 | ---
+++
@@ -29,6 +29,7 @@
_run-with-bundler() {
if _bundler-installed && _within-bundled-project; then
+ echo "Running command with 'bundle exec'"
bundle exec $@
else
$@ | bash |
d_bash_270 | ---
+++
@@ -15,6 +15,7 @@
function build_all
{
build.py --toolchain ${TOOLCHAIN} --verbose --fwd HUNTER_CONFIGURATION_TYPES=Release \
+ USE_OGLES_GPGPU=ON \
${GATHERER_BUILD_ARGS[*]} \
CMAKE_XCODE_ATTRIBUTE_IPHONEOS_DEPLOYMENT_TARGET=8.0 \
--config Release \ | bash |
d_bash_271 | ---
+++
@@ -14,4 +14,4 @@
exit 1
fi
-rdmd util/gensyscall.d > source/syscalld/arch/${OS}_x86_64.d
+rdmd -defaultlib=libphobos2.so -fPIC util/gensyscall.d > source/syscalld/arch/${OS}_x86_64.d | bash |
d_bash_272 | ---
+++
@@ -1,4 +1,5 @@
#!/bin/bash
+curl -s https://api.github.com/repos/Skeen/Emscripten-Travis/releases/latest
# Pull the Linux Portable
curl -s https://api.github.com/repos/Skeen/Emscripten-Travis/releases/latest | grep "browser_download_url" | sed 's#.*: "\(.*\)"#\1#g' | xargs curl -L | tar -xz | bash |
d_bash_273 | ---
+++
@@ -2,4 +2,4 @@
# Always run this script from the root of the Buck project directory.
cd "$(git rev-parse --show-toplevel)/docs" || exit
-exec java -jar plovr-81ed862.jar soyweb --dir . --globals globals.json
+exec java -jar plovr-81ed862.jar soyweb --dir . --globals globals.json $@ | bash |
d_bash_274 | ---
+++
@@ -1,4 +1,7 @@
#!/bin/bash
+
+# General
+mkdir -p /data/media /data/media/tv
# SickRage
mkdir -p /data/sickrage | bash |
d_bash_275 | ---
+++
@@ -2,7 +2,6 @@
set -e
-mysql_install_db --user=mysql --rpm
mysqld_safe --datadir='/var/lib/mysql' &
sleep 2
mysqladmin create chaos-loris | bash |
d_bash_276 | ---
+++
@@ -26,6 +26,7 @@
bundle install --deployment --without development test
echo "Rebuild the assets"
+$EXEC rake assets:clean
$EXEC rake assets:precompile
echo "Run database migrations if required." | bash |
d_bash_277 | ---
+++
@@ -4,6 +4,6 @@
commit_message_file="$1"
# Pass if message has 1 or fewer lines
-test 1 -ge "$(< $commit_message_file wc --lines)" ||
+test 1 -ge "$(< $commit_message_file wc -l)" ||
# Pass if second line is blank
test -z "$(< $commit_message_file head --lines 2 | tail --lines 1)" | bash |
d_bash_278 | ---
+++
@@ -21,6 +21,6 @@
cd src/php/bin
source ./determine_extension_dir.sh
# in some jenkins macos machine, somehow the PHP build script can't find libgrpc.dylib
-export DYLD_LIBRARY_PATH=$root/libs/$config
+export DYLD_LIBRARY_PATH=$root/libs/$CONFIG
php $extension_dir -d max_execution_time=300 $(which phpunit... | bash |
d_bash_279 | ---
+++
@@ -4,24 +4,33 @@
latest_github_release_asset_download_url=$(echo "$latest_github_release" | jq -r '.assets[0].browser_download_url // ""')
latest_github_release_asset_name=$(echo "$latest_github_release" | jq -r '.assets[0].name // ""')
-if [ "$latest_github_release_version" ]
+if [[ "$latest_github_rele... | bash |
d_bash_280 | ---
+++
@@ -6,4 +6,6 @@
example_name=adaptivity_ex4
-run_example "$example_name" "$options"
+run_example "$example_name" "$options" approx_type=HERMITE
+run_example "$example_name" "$options" approx_type=CLOUGH
+#run_example "$example_name" "$options" approx_type=SECOND # Broken? | bash |
d_bash_281 | ---
+++
@@ -1,3 +1,4 @@
front scale front=1
mkdir -p /ida
ln -s /opt/front /ida/front
+front run rake tmp:create | bash |
d_bash_282 | ---
+++
@@ -1,3 +1,3 @@
#!/bin/bash
echo -e "Testing error management system. No flow should be able to start.\n"
-exec sudo ./build/MoonGen interface/init.lua send -c test/flows f1:1:1:test=1,rate=a valid:100:100 valid:a:b valid:1:1
+exec sudo ./build/MoonGen interface/init.lua send -c test/flows f1:1:1:test=1,rat... | bash |
d_bash_283 | ---
+++
@@ -1,3 +1,4 @@
#!/bin/bash
export RAILS_ENV=production
+bundle exec rackup sidekiq-admin.ru -p 3000 -E production &
bundle exec sidekiq -l /var/log/sidekiq.log --environment production | bash |
d_bash_284 | ---
+++
@@ -14,5 +14,5 @@
# test if database exists first
# https://stackoverflow.com/questions/14549270/check-if-database-exists-in-postgresql-using-shell
psql "$database_name" -c '' && \
- pg_dump "$database_name" > "./${output_file}"
+ pg_dump "$database_name" | gzip --best > "./${output_file}.gz"
} | bash |
d_bash_285 | ---
+++
@@ -36,3 +36,14 @@
# Disable smart quotes.
defaults write com.apple.messageshelper.MessageController SOInputLineSettings -dict-add "automaticQuoteSubstitutionEnabled" -bool false
+
+
+# ----------------------------------------------------------------------------
+# Brew
+# --------------------------------... | bash |
d_bash_286 | ---
+++
@@ -12,5 +12,5 @@
export SESSION_ENGINE=$session
tox -- --driver=Chrome
tox -- --driver=Firefox
- tox -- --driver=PhantomJS
+ tox -- --driver=PhantomJS --liveserver=127.0.0.1:8000-8100
done | bash |
d_bash_287 | ---
+++
@@ -11,6 +11,7 @@
# Copy the example skeleton into working_copy
cp -r example/* test/working_copy
+echo -e "<?php\n\$x = 10;" > test/working_copy/src/modules/test.php
# Install dependencies of working_copy
cd test/working_copy | bash |
d_bash_288 | ---
+++
@@ -7,4 +7,4 @@
scp jbehave-trader-reports.zip jbehave.org:
-ssh jbehave.org "rm -r jbehave-trader-reports; unzip jbehave-trader-reports.zip; mv jbehave-trader-reports /var/www/jbehave.org/reference/examples/"
+ssh jbehave.org "rm -r jbehave-trader-reports; unzip -uo jbehave-trader-reports.zip; rm -r /va... | bash |
d_bash_289 | ---
+++
@@ -8,6 +8,6 @@
if [ "${LANGUAGE}" = "ruby" ]; then
cp config/database.yml.ci config/database.yml
+ gem update --system
bin/rake db:create db:migrate RAILS_ENV=test
fi
- | bash |
d_bash_290 | ---
+++
@@ -34,5 +34,5 @@
# Build command-t for your system
echo "building command-t executable\n"
echo "command-t depends on ruby and rake to be present\n"
-cd $HOME/.vim/bundle/Command-t
+cd $HOME/.vim/bundle/Command-T
(rake make) || warn "Ruby compilation failed. Ruby, GCC or rake not installed?" | bash |
d_bash_291 | ---
+++
@@ -5,6 +5,7 @@
project-manager \
recent-files-fuzzy-finder \
zentabs \
+ wakatime \
php-composer-completion \
php-integrator-base \
php-integrator-annotations \ | bash |
d_bash_292 | ---
+++
@@ -31,5 +31,5 @@
# Full adjacents calculation takes too long
#cp src/scripts/adjacent_tests.sh .
#./adjacent_tests.sh
-echo testing adjcent finding for A_gen only
-./adjacents.native A_gen > A_gen_adjacent.log
+#echo testing adjcent finding for A_gen only
+#./adjacents.native A_gen > A_gen_adjacent.log | bash |
d_bash_293 | ---
+++
@@ -34,4 +34,4 @@
#
cd $build_dir
-meson test --print-errorlogs
+meson test --print-errorlogs --verbose | bash |
d_bash_294 | ---
+++
@@ -8,7 +8,5 @@
done
>&2 echo "Postgres is up, starting braindump"
-# Update Crontab
-bash -c "for file in etc/cron/*; do crontab $file; done"
# Run Migrations and Start App
bash -c "python manage.py deploy && gunicorn manage:app -b 0.0.0.0" | bash |
d_bash_295 | ---
+++
@@ -12,4 +12,5 @@
make clean
make all
make dll
-make compresstest
+#make compresstest
+make test | bash |
d_bash_296 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
-MINRATING="8.9"
+MINRATING="9.0"
SRC_FILES="../faucet/*.py"
pylint -E $SRC_FILES || exit 1 | bash |
d_bash_297 | ---
+++
@@ -7,7 +7,7 @@
ROOT=${QTRPI_ROOT-/opt/qtrpi}
TARGET_DEVICE=${QTRPI_TARGET_DEVICE-'linux-rasp-pi2-g++'}
-QT_VERSION=${QTRPI_QT_VERSION-'v5.7.0'}
+QT_VERSION=${QTRPI_QT_VERSION-'5.7.0'}
TARGET_HOST=$QTRPI_TARGET_HOST
case $TARGET_DEVICE in | bash |
d_bash_298 | ---
+++
@@ -14,7 +14,6 @@
bash-completion
build-essential
dialog
- emacs
htop
landscape-common
lynx | bash |
d_bash_299 | ---
+++
@@ -6,6 +6,7 @@
# Run the daemon but not daemonized (-F)
./casperd -F -D $ETCDIR -P $PIDFILE -S $SOCKFILE $VERBOSE &
+sleep 1
# Run the unit tests while the daemon is running
./casper-test -S $SOCKFILE $* | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.